# Uses of Interface
org.eclipse.emf.cdo.lm.modules.ModuleDefinition

Packages that use ModuleDefinition
Package
Description
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.modules
The generated EMF API of the CDO Lifecycle Management Modules model.
org.eclipse.emf.cdo.lm.modules.impl
The generated EMF implementation of the CDO Lifecycle Management Modules model.
org.eclipse.emf.cdo.lm.modules.util
The generated EMF utilities of the CDO Lifecycle Management Modules model.

## Uses of ModuleDefinition in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return ModuleDefinition
Modifier and Type
Method
Description
`ModuleDefinition`
ISystemDescriptor.`extractModuleDefinition(Baseline baseline)`
`ModuleDefinition`
ISystemDescriptor.`extractModuleDefinition(FloatingBaseline baseline, long timeStamp)`
`ModuleDefinition`
ISystemDescriptor.`extractModuleDefinition(CDOView view)`
Methods in org.eclipse.emf.cdo.lm.client with parameters of type ModuleDefinition
Modifier and Type
Method
Description
`Assembly`
ISystemDescriptor.`resolve(ModuleDefinition rootDefinition, Baseline baseline, IProgressMonitor monitor)`

## Uses of ModuleDefinition in org.eclipse.emf.cdo.lm.modules

Methods in org.eclipse.emf.cdo.lm.modules that return ModuleDefinition
Modifier and Type
Method
Description
`ModuleDefinition`
ModulesFactory.`createModuleDefinition()`
Returns a new object of class 'Module Definition'.
`ModuleDefinition`
DependencyDefinition.`getSource()`
Returns the value of the 'Source' container reference.
Methods in org.eclipse.emf.cdo.lm.modules with parameters of type ModuleDefinition
Modifier and Type
Method
Description
`void`
DependencyDefinition.`setSource(ModuleDefinition value)`
Sets the value of the '`Source`' container reference.

## Uses of ModuleDefinition in org.eclipse.emf.cdo.lm.modules.impl

Classes in org.eclipse.emf.cdo.lm.modules.impl that implement ModuleDefinition
Modifier and Type
Class
Description
`class`
`ModuleDefinitionImpl`
An implementation of the model object 'Module Definition'.
Methods in org.eclipse.emf.cdo.lm.modules.impl that return ModuleDefinition
Modifier and Type
Method
Description
`ModuleDefinition`
ModulesFactoryImpl.`createModuleDefinition()`
`ModuleDefinition`
DependencyDefinitionImpl.`getSource()`
Methods in org.eclipse.emf.cdo.lm.modules.impl with parameters of type ModuleDefinition
Modifier and Type
Method
Description
`NotificationChain`
DependencyDefinitionImpl.`basicSetSource(ModuleDefinition newSource, NotificationChain msgs)`
`void`
DependencyDefinitionImpl.`setSource(ModuleDefinition newSource)`

## Uses of ModuleDefinition in org.eclipse.emf.cdo.lm.modules.util

Methods in org.eclipse.emf.cdo.lm.modules.util with parameters of type ModuleDefinition
Modifier and Type
Method
Description
`T`
ModulesSwitch.`caseModuleDefinition(ModuleDefinition object)`
Returns the result of interpreting the object as an instance of 'Module Definition'.